Hogyan lehet újra aktiválni a Snaps támogatását a Linux Mint 20-ban ... arra az esetre, ha érdekelne

Linux Mint 20 Snaps-szel

Ha arra gondolt, hogy ennek a cikknek nincs értelme, hadd mondjam el, hogy részben egyetértek veled. Sokak számára az egyik legfontosabb látnivaló Linux Mint 20 pontosan az, hogy megszabadul a Canonical Snap csomagjaitól, amelyek nem annyira tetszenek, mint a Flatpak. De hogy őszinte legyek, valószínű, hogy találunk valamit, amelynek fejlesztője csak a snapcraft.io-ban kínálja nekünk (például a Chromium), vagy egy nem hivatalos adattárban, amely amellett, hogy nem annyira biztonságos (bár általában vannak), olyan függőségeket fog telepíteni, amelyeket inkább nem szeretnénk telepíteni. Ebben az esetben, ha szükségünk lenne erre a speciális szoftverre és egy csomagban, akkor érdemes lenne követni ezt az oktatóanyagot.

De amint azt egy másik cikkben mondtam, az egyik lehetőség az, hogy nem követi ezeket az utasításokat, és olyan disztribúciót választ, amely támogatja a pattintásokat, ha valóban szeretnénk őket, mint bármelyik hivatalos Ubuntu íz. Az itt leírtak azoknak a felhasználóknak szólnak, akik szeretnék továbbra is élvezheti a Linux Mint szolgáltatást, és inkább a Snap csomagokhoz fér hozzá. A közzététel ötletét Joey Sneddon adta nekem, aki ugyanezt tette egy másik nagyon híres Ubuntu speciális közegben.

A snapd telepítése és aktiválása a Linux Mint 20-ban

A Linux Mint 20 volt ma béta formában megjelent, és hol jobb, mint egy próbaverzióban tesztelni az ilyen dolgokat. Amit meg fogunk tenni, az néhány csomag telepítése és néhány változtatás, de szeretnék ehhez ragaszkodni Nem tenném meg őket, ha nem olyan alkalmazástól függök, amely csak a Snaphoz hasonlít és nem akarom abbahagyni a Linux Mint használatát, amikor elindítja Lysia-ját. Ha továbbra is érdekli ezt az oktatóanyagot, és ha nem, ne kritizáljon engem túlságosan azért, mert megosztottam ezeket az információkat, akkor a következőket kell tennie:

  1. Megnyitjuk a terminál alkalmazást.
  2. Írtunk:
sudo rm /etc/apt/preferences.d/nosnap.pref
  1. Ezután a következő paranccsal telepítjük a csomagot:
sudo apt install snapd

A fentiekre azért van szükség, mert ahogy Leo Chavez beszámol, a "snapd" csomagot nem lehet hagyományos módon telepíteni, mert a Linux Mint 20 blokkolja; hibát mutat, hogy nincs telepítési jelölted. A fent kifejtettekkel ezt a problémát meg kell oldani. A Linux Mint 20 tartalmaz egy úgynevezett konfigurációs fájlt nosnap.pref amely a következő üzenetet tartalmazza:

"A Linux Mint már nem támogatja az Ubuntu Store-ot, amely a nyílt forráskódú" snapd "kliens tulajdonosa."

Ezzel a kis trükkel már tudnunk kell telepítse a Chromiumot a Linux Mint 20-on. Lefebvre és csapata új filozófiájával hagyja, vagy inkább elhagyja a Linux Mint 20-at?


A cikk tartalma betartja a szerkesztői etika. A hiba bejelentéséhez kattintson a gombra itt.

8 hozzászólás, hagyd a tiedet

Hagyja megjegyzését

E-mail címed nem kerül nyilvánosságra.

*

*

  1. Az adatokért felelős: Miguel Ángel Gatón
  2. Az adatok célja: A SPAM ellenőrzése, a megjegyzések kezelése.
  3. Legitimáció: Az Ön beleegyezése
  4. Az adatok közlése: Az adatokat csak jogi kötelezettség alapján továbbítjuk harmadik felekkel.
  5. Adattárolás: Az Occentus Networks (EU) által üzemeltetett adatbázis
  6. Jogok: Bármikor korlátozhatja, helyreállíthatja és törölheti adatait.

  1.   linuxmintuser dijo

    NEM FOGOM MEGTENNI.

  2.   Carlos dijo

    A linux mint blog blogjának a snap (d) -ről és a krómról a snap-ról szóló nyilatkozata értelmes, ez gúny.

    A Linux Mint jövője a Debian bázisban rejlik, ami sokkal jobb, mint az Ubuntu bázissal.

  3.   User12 dijo

    Az lenne a dolguk, ha a Mint állítaná össze a saját Chromium csomagját (például a Debian által fenntartott csomagot használva), mert amit komolyan meg akarnak tenni, hogy a felhasználókat arra késztessék, hogy töltsék le a csomagot közvetlenül a króm weboldaláról, az nem komoly (és felhasználó számára, aki nem kapna programfrissítéseket).

  4.   Carlos dijo

    Nem hiszem, hogy erre szükség lesz. A Linux Mint sokkal jobban megvalósul, mint az Ubuntu, remélem, hogy idővel átkerülhetnek a Debianba, mint bázisból.

    1.    méreg dijo

      A probléma az, hogy ha az Ubuntu ezt több szoftverrel teszi ... a mentának le kellene fordítania őket. Jobb, ha egyszerre csökkenti a veszteségeit.

  5.   nyújtás dijo

    Telepítem a snap-ot, hátha működik.
    a flatpak sok problémát okoz nekem telepítéskor, újratöltéskor stb.
    ezen kívül szeretnék tesztelni egy anboxot, ami az LM repo verzióban nem működik

  6.   Túlium dijo

    Nagyon obrigado !!!! végül telepítse az essa bagaça -t. A Linux nagyon nehéz a mexer mds -nek, eltért a windows -tól, megéri az msm -t.

  7.   Daio dijo

    barátom, két év múlva elmondom, hogy szeretlek, köszönöm!